Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package typechecker
  Definition Classes
    nsc
-  trait ContextErrors extends AnyRef
  Definition Classes
    typechecker
- AbsAmbiguousTypeError
- AbsTypeError
- AccessTypeError
- AmbiguousImplicitTypeError
- AmbiguousTypeError
- DivergentImplicitTypeError
- ErrorUtils
- ImplicitsContextErrors
- InferencerContextErrors
- NamerContextErrors
- NamesDefaultsErrorsGen
- NormalTypeError
- PosAndMsgTypeError
- SymbolTypeError
- TreeTypeError
- TypeErrorWithUnderlyingTree
- TypeErrorWrapper
- TyperContextErrors

c

scala.tools.nsc.typechecker.ContextErrors

# DivergentImplicitTypeError

###

#### case class DivergentImplicitTypeError(underlyingTree: Global.Tree, pt0: Global.Type, sym: Global.Symbol) extends Analyzer.TreeTypeError with Product with Serializable

Source
  ContextErrors.scala

Linear Supertypes
java.io.Serializable, Product, Equals, Analyzer.TreeTypeError, Analyzer.AbsTypeError, AnyRef, Any
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. DivergentImplicitTypeError
2. Serializable
3. Product
4. Equals
5. TreeTypeError
6. AbsTypeError
7. AnyRef
8. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new DivergentImplicitTypeError(underlyingTree: Global.Tree, pt0: Global.Type, sym: Global.Symbol)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from Analyzer.DivergentImplicitTypeError toany2stringadd[Analyzer.DivergentImplicitTypeError] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (Analyzer.DivergentImplicitTypeError, B)
   Implicit
     This member is added by an implicit conversion from Analyzer.DivergentImplicitTypeError toArrowAssoc[Analyzer.DivergentImplicitTypeError] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
8.  def ensuring(cond: (Analyzer.DivergentImplicitTypeError) => Boolean, msg: => Any): Analyzer.DivergentImplicitTypeError
   Implicit
     This member is added by an implicit conversion from Analyzer.DivergentImplicitTypeError toEnsuring[Analyzer.DivergentImplicitTypeError] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
9.  def ensuring(cond: (Analyzer.DivergentImplicitTypeError) => Boolean): Analyzer.DivergentImplicitTypeError
   Implicit
     This member is added by an implicit conversion from Analyzer.DivergentImplicitTypeError toEnsuring[Analyzer.DivergentImplicitTypeError] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: Boolean, msg: => Any): Analyzer.DivergentImplicitTypeError
    Implicit
      This member is added by an implicit conversion from Analyzer.DivergentImplicitTypeError toEnsuring[Analyzer.DivergentImplicitTypeError] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean): Analyzer.DivergentImplicitTypeError
    Implicit
      This member is added by an implicit conversion from Analyzer.DivergentImplicitTypeError toEnsuring[Analyzer.DivergentImplicitTypeError] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def errMsg: String
    Definition Classes
      DivergentImplicitTypeError → AbsTypeError
14.  def errPos: Global.Position
    Definition Classes
      TreeTypeError → AbsTypeError
15.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
16.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from Analyzer.DivergentImplicitTypeError toStringFormat[Analyzer.DivergentImplicitTypeError] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
17.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
18.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
19.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
20.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
21.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
22.  def productElementNames: Iterator[String]
    Definition Classes
      Product
23.  val pt0: Global.Type
24.  val sym: Global.Symbol
25.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
26.  def toString(): String
    Definition Classes
      AbsTypeError → AnyRef → Any
27.  val underlyingTree: Global.Tree
    Definition Classes
      DivergentImplicitTypeError → TreeTypeError
28.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
29.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
30.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
31.  def withPt(pt: Global.Type): Analyzer.AbsTypeError

### Deprecated Value Members

1.  def →[B](y: B): (Analyzer.DivergentImplicitTypeError, B)
   Implicit
     This member is added by an implicit conversion from Analyzer.DivergentImplicitTypeError toArrowAssoc[Analyzer.DivergentImplicitTypeError] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from Analyzer.TreeTypeError

### Inherited from Analyzer.AbsTypeError

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromAnalyzer.DivergentImplicitTypeError to any2stringadd[Analyzer.DivergentImplicitTypeError]

### Inherited by implicit conversion StringFormat fromAnalyzer.DivergentImplicitTypeError to StringFormat[Analyzer.DivergentImplicitTypeError]

### Inherited by implicit conversion Ensuring fromAnalyzer.DivergentImplicitTypeError to Ensuring[Analyzer.DivergentImplicitTypeError]

### Inherited by implicit conversion ArrowAssoc fromAnalyzer.DivergentImplicitTypeError to ArrowAssoc[Analyzer.DivergentImplicitTypeError]

### Ungrouped